.project_tests_migrate: &project-test-migrate
    - python3 manage.py migrate


.project_tests_internal: &project-test-internal
    - python3 manage.py test


.project_tests_db:
  stage: test
  image: python:3-alpine
  script:
    - pip install -r requirements.txt
    - mkdir db
    - *django-tests-migrate
    - *django-tests-internal
  tags:
    - docker


#optional
.project_tests_no_db:
  stage: test
  image: python:3-alpine
  script:
    - pip install -r requirements.txt
    - *django-tests-internal
  tags:
    - docker